i
Prev | Orchestra Opcodes and Operators | Next

## i

i — Returns an init-type equivalent of a k-rate argument, or directly returns an i-rate argument.

## Description

Returns an init-type equivalent of a k-rate argument, or directly returns an i-rate argument.

## Syntax

    i(x) (control-rate or init-rate arg)

Value converters perform arithmetic translation from units of one kind to units of another. The result can then be a term in a further expression.

| Note
Using i() with a k-rate expression argument is not recommended, and can produce unexpected results.

## See Also

a, k, abs, exp, frac, int, log, log10, sqrt

More information on this opcode: http://www.csounds.com/journal/issue10/CsoundRates.html , written by Andrés Cabrera

## Credits

i-rate arg version of function new since 5.14

Prev | Up | Next
hvs3 | Home | ibetarand